<?php

namespace Drupal\w3_element_prohibitions\Resolver;

/**
 * Runs added resolvers until one of them returns the link.
 */
interface ChainedProhibitionsResolverInterface extends ProhibitionsResolverInterface {

  /**
   * Adds a resolver.
   *
   * @param \Drupal\w3_element_prohibitions\Resolver\ProhibitionsResolverInterface $resolver
   *   The resolver.
   */
  public function addResolver(ProhibitionsResolverInterface $resolver);

  /**
   * Gets all added resolvers.
   *
   * @return \Drupal\w3_element_prohibitions\Resolver\ProhibitionsResolverInterface[]
   *   The resolvers.
   */
  public function getResolvers();

}

