<?php

namespace Drupal\w3_element_prohibitions\Resolver;

/**
 * Runs added resolvers until one of them returns the link.
 */
interface ProhibitionsResolverInterface {

  /**
   * Resolve the W3 element prohibitions detected.
   *
   * @param string $hook
   *   The name of the theme hook.
   * @param array $element
   *   The render array element.
   *
   * @return string|null
   *   The alternative hook theme function. Otherwise NULL, indicating that
   *   the next resolver in the chain should be called.
   */
  public function resolve(string $hook, array $element);

}
